﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace FATX_Browser
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            if (args.Length != 0)
            {
                string oldFilePath = "";
                for (int i = 0; i < args.Length; i++)
                {
                    if (i != args.Length - 1)
                    {
                        oldFilePath += args[i] + " ";
                    }
                    else
                    {
                        oldFilePath += args[i];
                    }
                }
                System.IO.File.Delete(oldFilePath);
                System.IO.File.Move(Application.ExecutablePath, oldFilePath);
                System.Diagnostics.Process.Start(oldFilePath);
                Environment.Exit(0);
            }
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Main());
        }
    }
}
